Buscar empresa por ID
curl --request GET \
--url https://api.engineapi.com.br/v1/companies/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.engineapi.com.br/v1/companies/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.engineapi.com.br/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"cnpj": "<string>",
"name": "<string>",
"ambienteFiscal": 123,
"avisos": [
{
"code": "MUNICIPIO_NAO_ADERENTE_PADRAO_NACIONAL",
"message": "<string>",
"ambiente": 1,
"consultadoEm": "2023-11-07T05:31:56Z"
}
],
"tradeName": "<string>",
"ie": "<string>",
"im": "<string>",
"crt": 123,
"email": "<string>",
"phone": "<string>",
"cep": "<string>",
"address": "<string>",
"number": "<string>",
"complement": "<string>",
"neighborhood": "<string>",
"city": "<string>",
"state": "<string>",
"ibgeCode": "<string>",
"fiscalBrainEnabled": true,
"valorAproximadoTributosEnabled": true,
"canalPortaAPorta": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"prontoPara": {
"nfse": true,
"nfe": true,
"nfce": true,
"sandbox": true,
"faltando": {
"nfse": [
"<string>"
],
"nfe": [
"<string>"
],
"nfce": [
"<string>"
]
},
"cobertura": {
"situacao": "aderente",
"consultadoEm": "2023-11-07T05:31:56Z"
}
},
"sugestoesServicoPadrao": [
"<unknown>"
]
}Empresas
Buscar empresa por ID
Retorna o cadastro completo de um emissor, incluindo ambiente fiscal atual, se já tem certificado A1 válido para emitir, e prontoPara (readiness por documento fiscal — NFS-e/NFe/NFC-e — com o que falta em faltando quando não está pronto; sandbox declara se cert/CSC estão dispensados) e avisos[] (aviso nomeado só com município não aderente confirmado).
GET
/
v1
/
companies
/
{id}
Buscar empresa por ID
Authorizations
Token JWT obtido via /v1/auth/login
Path Parameters
Response
Empresa encontrada
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Show child attributes
Show child attributes